#%define __libtoolize /bin/true
%define name    fraqtive
%define version 0.3.1
%define release 1.2006mcnl
%define summary Drawing Mandelbrot and Julia fractals
%define section Multimedia/Graphics

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://zeus.polsl.gliwice.pl/~mimec/index.php?id=fraqtive
License:        GPL
Group:          Graphics
Packager:       Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 


%description
Fraqtive is a program for drawing Mandelbrot and Julia fractals. It uses 
a very fast algorithm and generates high quality, smooth images. It is 
fully interactive, allowing for real-time mouse navigation and dynamic 
generation of the Julia fractal preview. OpenGL-rendered 3D view of the 
fractals is also supported.

%prep
rm -rf %{buildroot}
%setup

%build
 
%configure --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Fraqtive" \
longtitle="%summary"
EOF

#icons

%define  nameicon fraqtive/src/hi48-app-fraqtive.png

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root) 
%doc README COPYING AUTHORS NEWS TODO
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_bindir}/%{name}
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/apps/%{name}/fraqtiveui.rc
%{_datadir}/apps/%{name}/icons/hicolor/*x*/actions/*.png
%{_datadir}/config/fraqtiverc
%{_docdir}/HTML/*/%{name}/*
%{_iconsdir}/hicolor/*x*/apps/%{name}.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo


%changelog 

* Thu Nov 10 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.3.1-1.2006mcnl
- 0.3.1
- first build for Mandriva Linux 2006